# $Revision: 1.36 $, $Date: 2004/08/22 08:29:22 $
Summary:	Dockable APM/Battery Monitor for WindowMaker
Summary(pl):	Dokowalny monitor APM dla WindowMakera
Summary(pt_BR):	Aplicativo do dock do WindowMaker para monitorar a carga da bateria
Summary(es):	Una aplicacin para monitorar la batera en el dock del WindowMaker
Name:		wmapm
Version:	3.1
Release:	5
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://nis-www.lanl.gov/~mgh/WindowMaker/%{name}-%{version}.tar.gz
# Source0-md5:	5a62620d49b5cc4c2250e013149ca1e9
Source1:	%{name}.desktop
URL:		http://nis-www.lanl.gov/~mgh/WindowMaker/DockApps.shtml
BuildRequires:	XFree86-devel
ExclusiveArch:	%{ix86} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
WMAPM monitors the APM statistics through the APM support in
the Linux kernel. WMAPM currently provides:
        * Status of power supply (battery or AC);
        * Percentage of battery remaining (numeric and meter);
        * Battery charging status;
        * Time left to battery depletion;
        * High/Low/Critical battery status (Red/Yellow/Green);

%description -l pl
WMAPM monitoruje statystyki APM wykorzystujc funkcje zawarte w jdrze
Linuksa. WMAPM dostarcza obecnie nastpujcych informacji:
	* Rodzaj wykorzystywanego rda energii (bateria lub zasilacz);
	* Dugo ycia baterii (w procentach lub graficznie);
	* Czas pozostay do wyczerpania baterii;
	* Stan obcienia baterii;
	* Stan baterii: Wysoki/Niski/Krytyczny (Czerwony/ty/Zielony);

%description -l pt_BR
Aplicativo do dock do WindowMaker para monitorar a carga da bateria,
atravs do suporte APM do kernel. Esta informao  til para
usurios de laptops.

%description -l es
Aplicacin para monitorar la batera en el dock del WindowMaker.
Basado en soporte APM del kernel. Es til en notebooks.

%prep
%setup -q

%build
%{__make} -C %{name} clean
%{__make} -C %{name} \
	COPTS="%{rpmcflags} -Wall -I/usr/X11R6/include" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_desktopdir}/docklets

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README HINTS TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/docklets/wmapm.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmapm.spec,v $
Revision 1.36  2004/08/22 08:29:22  yogib
- added ExclusiveArch (it relys on APM)

Revision 1.35  2004/08/19 19:16:41  yogib
- fix building on amd64

Revision 1.34  2004/05/08 15:37:24  yogib
- switched to vfolders

Revision 1.33  2004/03/16 00:19:37  adamg
- release 2 for Ac

Revision 1.32  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/28 10:09:00  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.27  2002/11/29 22:47:15  ankry
- massive attack: new %%doc

Revision 1.26  2002/07/03 09:24:06  wolf
- spelling

Revision 1.25  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/24 00:59:47  kloczek
- commnted install desktop file.

Revision 1.22  2001/11/23 23:57:45  blues
- 3.1
- added some stollen translations
- cosmetic

Revision 1.21  2001/11/21 01:54:24  blues
- URLs updated
NOTE: there is new version avaible

Revision 1.20  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.18  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.15  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.14  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.13  1999/09/04 09:01:07  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.01-1]
- now package is FHS 2.0 compliant.

* Wed Apr  5 1999 Piotr Czerwiski <pius@pld.org.pl>
- initial rpm release for PLD.
